> ## Documentation Index
> Fetch the complete documentation index at: https://remote.docs.generatemomentum.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Find & Classify

> Get job information for company.



## OpenAPI

````yaml POST /company/jobs
openapi: 3.0.1
info:
  title: OpenAPI Momentum Inbound
  description: Momentum Inbound API for enriching companies
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://testing.inbound.generatemomentum.ai/api/remote
  - url: https://inbound.generatemomentum.ai/api/remote
security:
  - api_key: []
paths:
  /company/jobs:
    post:
      description: Get job information for company.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Company'
      responses:
        '201':
          description: Response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/WebhookAcceptedResponse'
                  - $ref: '#/components/schemas/JobsFindWebhookResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorUnauthorised'
        '401':
          description: Unauthorised
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorUnauthorised'
      callbacks:
        callbackResponse:
          '{$request.body#/callback_url}':
            post:
              description: Returns jobs data for given company
              requestBody:
                required: true
                content:
                  application/json:
                    schema:
                      $ref: '#/components/schemas/JobsFindWebhookResponse'
              responses:
                '200':
                  description: Recieved succesfully
                  content: {}
components:
  schemas:
    Company:
      required:
        - url
        - brand_name
        - callback_url
      type: object
      properties:
        url:
          description: 'The companies website url e.g: https://generatemomentum.ai'
          type: string
        brand_name:
          description: The company's brand name, e.g. Momentum AI
          type: string
        callback_url:
          description: Url to receive the enriched company information
          type: string
    WebhookAcceptedResponse:
      required:
        - id
      type: object
      properties:
        id:
          description: 'Webhook event id e.g: 963ede37-5fcf-4e41-bee7-cfbafdcabd4e'
          type: string
          format: uuid
    JobsFindWebhookResponse:
      type: object
      properties:
        webhook_id:
          description: 'Webhook event id e.g: 963ede37-5fcf-4e41-bee7-cfbafdcabd4e'
          type: string
          format: uuid
        status:
          description: The status of the webhook response
          type: string
          enum:
            - success
            - failed
            - not-found
        data:
          type: object
          properties:
            source:
              description: The source of the job data
              type: string
              enum:
                - ATS
                - LinkedIn
            ats_link:
              description: >-
                The ats page url for the company. Will be `null` if the `source`
                is not `ATS`
              type: string
              nullable: true
            remote_total:
              description: The total number of jobs categorised as remote
              type: number
            total:
              description: The total number of jobs found
              type: number
    ErrorUnauthorised:
      required:
        - message
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header
      description: Authentication via API key

````